=== debian/changelog ===
libmygpo-qt (1.0.2-0ubuntu1) natty; urgency=low

  * Initial release, LP: #744512

 -- Romain Perier <romain.perier@gmail.com>  Tue, 22 Mar 2011 09:05:06 +0100
