=== debian/control ===
Source: libmygpo-qt
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Perier <romain.perier@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6), pkg-config, libqjson-dev, libqt4-dev
Standards-Version: 3.9.1
Homepage: http://wiki.gpodder.org/wiki/Libmygpo-qt

Package: libmygpo-qt-dev
Section: libdevel
Architecture: any
Depends: libmygpo-qt1 (= ${binary:Version}), ${misc:Depends}, libqjson-dev, libqt4-dev
Description: Development headers for the mygpo-qt library
 C++/Qt Library wrapping the gpodder.net Webservice
 .
 This package contains the development headers for the mygpo-qt library

Package: libmygpo-qt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mygpo-qt library package
 C++/Qt Library wrapping the gpodder.net Webservice
 .
 This package contains the myqpo-qt library
