## libmygpo-qt 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set( MYGPO_LIB_MAJOR_VERSION "1" )
 set( MYGPO_LIB_MINOR_VERSION "0" )
-set( MYGPO_LIB_PATCH_VERSION "2" )
+set( MYGPO_LIB_PATCH_VERSION "3" )
 set( MYGPO_LIB_VERSION "${MYGPO_LIB_MAJOR_VERSION}.${MYGPO_LIB_MINOR_VERSION}.${MYGPO_LIB_PATCH_VERSION}" )
 
 set( MYGPO_LIB_VERSION_SONAME "${MYGPO_LIB_MAJOR_VERSION}")
