=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,18 +23,31 @@
 
 set ( LIBMYGPO_QT_MOC_H
         Podcast.h
+        Podcast_p.h
         PodcastList.h
+        PodcastList_p.h
         Episode.h
+        Episode_p.h
         EpisodeList.h
+        EpisodeList_p.h
         Tag.h
+        Tag_p.h
         TagList.h
+        TagList_p.h
         Device.h
+        Device_p.h
         DeviceList.h
+        DeviceList_p.h
         DeviceUpdates.h
+        DeviceUpdates_p.h
         EpisodeAction.h
+        EpisodeAction_p.h
         EpisodeActionList.h
+        EpisodeActionList_p.h
         Settings.h
+        Settings_p.h
         AddRemoveResult.h
+        AddRemoveResult_p.h
 )
 
 set ( LIBMYGPO_QT_INSTALL_H
@@ -57,21 +70,7 @@
 
 QT4_WRAP_CPP(LIBMYGPO_QT_MOC_SRC ${LIBMYGPO_QT_MOC_H} )
 
-QT4_GENERATE_MOC(PodcastList.cpp PodcastList.moc)
-QT4_GENERATE_MOC(EpisodeList.cpp EpisodeList.moc)
-QT4_GENERATE_MOC(Episode.cpp Episode.moc)
-QT4_GENERATE_MOC(EpisodeAction.cpp EpisodeAction.moc)
-QT4_GENERATE_MOC(EpisodeActionList.cpp EpisodeActionList.moc)
-QT4_GENERATE_MOC(Podcast.cpp Podcast.moc)
-QT4_GENERATE_MOC(AddRemoveResult.cpp AddRemoveResult.moc)
-QT4_GENERATE_MOC(TagList.cpp TagList.moc)
-QT4_GENERATE_MOC(Tag.cpp Tag.moc)
-QT4_GENERATE_MOC(Settings.cpp Settings.moc)
-QT4_GENERATE_MOC(DeviceUpdates.cpp DeviceUpdates.moc)
-QT4_GENERATE_MOC(DeviceList.cpp DeviceList.moc)
-QT4_GENERATE_MOC(Device.cpp Device.moc)
-
-add_library( mygpo-qt SHARED ${LIBMYGPO_QT_SRC} ${LIBMYGPO_QT_MOC_SRC} PodcastList.moc EpisodeList.moc Episode.moc EpisodeAction.moc EpisodeActionList.moc Podcast.moc AddRemoveResult.moc TagList.moc Tag.moc Settings.moc DeviceUpdates.moc DeviceList.moc Device.moc)
+add_library( mygpo-qt SHARED ${LIBMYGPO_QT_SRC} ${LIBMYGPO_QT_MOC_SRC} )
 
 target_link_libraries( mygpo-qt ${QJSON_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY}  )
 set_target_properties( mygpo-qt PROPERTIES VERSION ${MYGPO_LIB_VERSION} SOVERSION ${MYGPO_LIB_VERSION_SONAME} DEFINE_SYMBOL MYGPO_MAKEDLL)
