=== cmake/modules/CMakeLists.txt ===


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
find_package(libmygpo-qt REQUIRED)
