=== debian/changelog ===
libmygpo-qt (1.0.3-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Romain Perier <romain.perier@gmail.com>  Tue, 24 May 2011 20:19:25 +0200
