## libmygpo-qt 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
+cmake_minimum_required( VERSION 2.6 FATAL_ERROR )
+
 project( libmygpo-qt )
-
-cmake_minimum_required( VERSION 2.6 )
 
 set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )
@@ -12,12 +12,12 @@
 
 include( ${QT_USE_FILE} )
 
-set( MYGPO_LIB_MAJOR_VERSION "1" )
-set( MYGPO_LIB_MINOR_VERSION "0" )
-set( MYGPO_LIB_PATCH_VERSION "3" )
-set( MYGPO_LIB_VERSION "${MYGPO_LIB_MAJOR_VERSION}.${MYGPO_LIB_MINOR_VERSION}.${MYGPO_LIB_PATCH_VERSION}" )
+set( MYGPO_QT_VERSION_MAJOR "1" )
+set( MYGPO_QT_VERSION_MINOR "0" )
+set( MYGPO_QT_VERSION_PATCH "5" )
+set( MYGPO_QT_VERSION "${MYGPO_QT_VERSION_MAJOR}.${MYGPO_QT_VERSION_MINOR}.${MYGPO_QT_VERSION_PATCH}" )
 
-set( MYGPO_LIB_VERSION_SONAME "${MYGPO_LIB_MAJOR_VERSION}")
+set( MYGPO_QT_SONAME "${MYGPO_QT_VERSION_MAJOR}")
 
 if (CMAKE_COMPILER_IS_GNUCXX)
     ADD_DEFINITIONS( -Wcast-align -Wchar-subscripts -Wpointer-arith
@@ -33,16 +33,23 @@
 option(MYGPO_BUILD_TESTS "Build all unit tests" ON)
 
 if(MYGPO_BUILD_TESTS)
-  enable_testing()
+    INCLUDE(CTest)
+    enable_testing()
 endif(MYGPO_BUILD_TESTS)
 
 set( CPACK_GENERATOR "TBZ2" "DEB" )
-set( CPACK_PACKAGE_VERSION_MAJOR "${MYGPO_LIB_MAJOR_VERSION}" )
-set( CPACK_PACKAGE_VERSION_MINOR "${MYGPO_LIB_MINOR_VERSION}" )
-set( CPACK_PACKAGE_VERSION_PATCH "${MYGPO_LIB_PATCH_VERSION}" )
-set( CPACK_PACKAGE_VERSION "${MYGPO_LIB_VERSION}" )
-set( CPACK_DEBIAN_PACKAGE_MAINTAINER "gpodder-devel@lists.berlios.de" )
+set( CPACK_PACKAGE_VERSION_MAJOR "${MYGPO_QT_VERSION_MAJOR}" )
+set( CPACK_PACKAGE_VERSION_MINOR "${MYGPO_QT_VERSION_MINOR}" )
+set( CPACK_PACKAGE_VERSION_PATCH "${MYGPO_QT_VERSION_PATCH}" )
+set( CPACK_PACKAGE_VERSION "${MYGPO_QT_VERSION}" )
+set( CPACK_DEBIAN_PACKAGE_MAINTAINER "gpodder@freelists.org" )
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "A c++/qt library to access the APIs provided by gpodder.net." )
+
+set(LIB_INSTALL_DIR_SUFFIX "" CACHE STRING "The directories where to install libraries to")
+set(LIB_INSTALL_DIR lib${LIB_INSTALL_DIR_SUFFIX} )
+set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/mygpo-qt" CACHE PATH "The directory the headers are installed in")
+set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/mygpo-qt ) 
+# SET (CMAKE_MODULES_INSTALL_DIR "${CMAKE_ROOT}/Modules" CACHE PATH "The directory to install FindLibmygpo-qt.cmake to")
 
 if( APPLE )
     set( CPACK_GENERATOR "DragNDrop" )
@@ -71,12 +78,6 @@
 ADD_CUSTOM_TARGET(uninstall
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-#add extra search paths for libraries and includes
-SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
-SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
-SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/mygpo-qt" CACHE PATH "The directory the headers are installed in")
-# SET (CMAKE_MODULES_INSTALL_DIR "${CMAKE_ROOT}/Modules" CACHE PATH "The directory to install FindLibmygpo-qt.cmake to")
-
 # pkg-config
 find_package(PkgConfig)
 IF (NOT WIN32)
@@ -92,3 +93,29 @@
 if(MYGPO_BUILD_TESTS)
     add_subdirectory( tests )
 endif(MYGPO_BUILD_TESTS)
+
+# This "exports" all targets which have been put into the export set "BarExport".
+# This means that cmake generates a file with the given filename, which can later on be loaded
+# by projects using this package.
+# This file contains add_library(bar IMPORTED) statements for each target in the export set, so
+# when loaded later on cmake will create "imported" library targets from these, which can be used
+# in many ways in the same way as a normal library target created via a normal add_library().
+install(EXPORT mygpo-qtExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE Mygpo-qtTargets.cmake )
+
+# figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
+# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
+# This relative path will be configured into the BarConfig.cmake
+file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )
+
+# Create a BarConfig.cmake file. <name>Config.cmake files are searched by find_package()
+# automatically. We configure that file so that we can put any information we want in it,
+# e.g. version numbers, include directories, etc.
+configure_file(Mygpo-qtConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Mygpo-qtConfig.cmake @ONLY )
+
+# Additionally, when cmake has found a BarConfig.cmake, it can check for a BarConfigVersion.cmake
+# in the same directory when figuring out the version of the package when a version
+# has been specified in the find_package() call, e.g. find_package(Bar 1.0)
+configure_file(Mygpo-qtConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Mygpo-qtConfigVersion.cmake @ONLY )
+
+# Install these two files into the same directory as the generated exports-file.
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Mygpo-qtConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/Mygpo-qtConfigVersion.cmake DESTINATION ${CMAKECONFIG_INSTALL_DIR} )
