=== debian/changelog ===
libmygpo-qt (1.0.5-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Nov 2011 20:42:53 +0000
