=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6), pkg-config, libqjson-dev, libqt4-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://wiki.gpodder.org/wiki/Libmygpo-qt
 
 Package: libmygpo-qt-dev
