## libmygpo-qt 1.0.6

=== debian/changelog ===
libmygpo-qt (1.0.6-0ubuntu1) raring; urgency=low

  [ Michal Zajac ]
  * New upstream release
  * Updated symbols files

  [ Philip Muškovac ]
  * Use pkg-kde-tools for substition support in libmygpo-qt1.symbols 

 -- Michal Zajac <quintasan@kubuntu.org>  Thu, 18 Oct 2012 14:01:44 +0200
