=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 include_directories( ${QT_INCLUDES} ${QJSON_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
 
 set ( LIBMYGPO_QT_SRC
+        Config.cpp
+        DeviceSyncResult.cpp
         Settings.cpp
         AddRemoveResult.cpp
         Tag.cpp 
@@ -38,6 +40,8 @@
         Device_p.h
         DeviceList.h
         DeviceList_p.h
+        DeviceSyncResult.h
+        DeviceSyncResult_p.h
         DeviceUpdates.h
         DeviceUpdates_p.h
         EpisodeAction.h
@@ -53,6 +57,7 @@
 set ( LIBMYGPO_QT_INSTALL_H
         ApiRequest.h
         mygpo_export.h
+        Config.h
         Podcast.h
         PodcastList.h
         Episode.h
@@ -61,6 +66,7 @@
         TagList.h
         Device.h
         DeviceList.h
+        DeviceSyncResult.h
         DeviceUpdates.h
         EpisodeAction.h
         EpisodeActionList.h
@@ -73,7 +79,7 @@
 add_library( mygpo-qt SHARED ${LIBMYGPO_QT_SRC} ${LIBMYGPO_QT_MOC_SRC} )
 
 target_link_libraries( mygpo-qt ${QJSON_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY}  )
-set_target_properties( mygpo-qt PROPERTIES VERSION ${MYGPO_LIB_VERSION} SOVERSION ${MYGPO_LIB_VERSION_SONAME} DEFINE_SYMBOL MYGPO_MAKEDLL)
-install( TARGETS mygpo-qt DESTINATION lib${LIB_SUFFIX} )
+set_target_properties( mygpo-qt PROPERTIES VERSION ${MYGPO_QT_VERSION} SOVERSION ${MYGPO_QT_SONAME} DEFINE_SYMBOL MYGPO_MAKEDLL)
+install( TARGETS mygpo-qt EXPORT mygpo-qtExport DESTINATION lib${LIB_SUFFIX} )
 
 install( FILES ${LIBMYGPO_QT_INSTALL_H} DESTINATION  include/mygpo-qt COMPONENT Devel )
