=== debian/changelog ===
libmygpo-qt (1.0.7-0ubuntu2) saucy; urgency=low

  * Fix install files to fix archive rebuild failiure
  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 04 Oct 2013 21:36:16 +0200

libmygpo-qt (1.0.7-0ubuntu1) saucy; urgency=low

  * New upstream release 
  * Add new symbols to libmygpo-qt1.symbols
  * Fix copyright file syntax

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 30 Apr 2013 17:20:51 +0200
