## libmygpo-qt 1.0.9~git20151122

=== debian/changelog ===
libmygpo-qt (1.0.9~git20151122-1~bpo8) jessie; urgency=medium

  * Repackaged for Debian 8 (Jessie).

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Mon, 14 Mar 2016 19:16:45 -0500

libmygpo-qt (1.0.9~git20151122-1) unstable; urgency=low

  * Import package from Ubuntu. Thanks to everyone involved so far.
  * Set myself as Maintainer for the Debian package.
  * New upstream snapshot.
  * Add debian/watch file.
  * Update debian/copyright.
  * Add Vcs-* fields to debian/control.
  * Bump debhelper compat level.
  * Add a patch to fix a reference string in the tests.
  * Implement Multi-Arch support.
  * Ship code example in dev package.
  * Bump Standards-Version.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Jan 2016 22:42:46 +0100
