=== debian/control ===
Source: libmygpo-qt
Section: kde
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Jérémy Bobbio <lunar@debian.org>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.6), pkg-config, libqjson-dev,
 libqt4-dev, pkg-kde-tools
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmygpo-qt.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmygpo-qt.git
Homepage: http://wiki.gpodder.org/wiki/Libmygpo-qt

Package: libmygpo-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmygpo-qt1 (= ${binary:Version}), ${misc:Depends}, libqjson-dev, libqt4-dev
Description: Development headers for the mygpo-qt library
 C++/Qt Library wrapping the gpodder.net Webservice
 .
 This package contains the development headers for the mygpo-qt library

Package: libmygpo-qt1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mygpo-qt library package
 C++/Qt Library wrapping the gpodder.net Webservice
 .
 This package contains the myqpo-qt library
