=== debian/changelog ===
libmygpo-qt (1.0.9-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable parallel build. (Closes: #838227)
  * Install missing CMake config file. (Closes: #838229)

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 04 Dec 2016 01:54:02 +0100

libmygpo-qt (1.0.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version, no changes required.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 01 Dec 2016 14:44:15 +0100
