=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: libmygpo-qt
 Section: kde
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Jérémy Bobbio <lunar@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
+Maintainer: Jérémy Bobbio <lunar@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6), pkg-config, libqjson-dev,
  libqt4-dev, pkg-kde-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmygpo-qt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmygpo-qt.git
 Homepage: http://wiki.gpodder.org/wiki/Libmygpo-qt
