=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with pkgkde_symbolshelper
