=== debian/watch ===
version=4
http://stefan.derkits.at/files/libmygpo-qt/ \
    libmygpo-qt\.([\d\.]+)\.tar\.gz
