## libmygpo-qt 1.0.9%7egit20151122

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 set( MYGPO_QT_VERSION_MAJOR "1" )
 set( MYGPO_QT_VERSION_MINOR "0" )
-set( MYGPO_QT_VERSION_PATCH "9" )
+set( MYGPO_QT_VERSION_PATCH "8" )
 set( MYGPO_QT_VERSION "${MYGPO_QT_VERSION_MAJOR}.${MYGPO_QT_VERSION_MINOR}.${MYGPO_QT_VERSION_PATCH}" )
 
 set( MYGPO_QT_SONAME "${MYGPO_QT_VERSION_MAJOR}")
