=== debian/changelog ===
libmygpo-qt (1.1.0-4) unstable; urgency=medium

  * Bump standard version to 4.5.0, no changes needed.
  * Update symbols files changes since GCC 10. (Closes: #957450, #964647).
  * Set debhelper compatibility to 13 using debhelper-compat in debian/control
    file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 05 Oct 2020 09:03:40 +0200

libmygpo-qt (1.1.0-3) unstable; urgency=medium

  * Update symbols files changes since GCC 8. (Closes: #906484)
  * Add a patch to fix tests matching because of Qt::ISODate behavior change
    since Qt 5.11.
  * Update debian VCS repository urls to salsa.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 30 Sep 2018 10:57:14 +0200

libmygpo-qt (1.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 17 May 2018 14:09:08 +0200

libmygpo-qt (1.1.0-1) experimental; urgency=medium

  * New upstream version.
  * Set myself as co-maintainer in debian/control.
  * Rewrite the build-depends in column and bump the standard version to
    4.1.4.
  * Force to build against QT5. (Closes: #875033)
  * Rename the binary package libmygpo-qt1 to libmygpo-qt5-1 and update the
    .install files.
  * Add a new symbols file based on the new soname and remove the old one.
  * Fix missing MYGPO_QT_VERSION_SUFFIX extension in fix-install-paths.patch.
  * Remove obsolete patch fix-expected-json.patch.
  * Replace libqt4-dev by qtbase5-dev in debian/control file.
  * Set cmake build-dependency to 2.8.9 and above.
  * Remove obsolete libqjson-dev build-dependency in debian/control.
    (Closes: #875319)

 -- Thomas Pierson <contact@thomaspierson.fr>  Wed, 02 May 2018 16:03:28 +0200
