=== debian/control ===
Source: libmygpo-qt
Section: kde
Priority: optional
Maintainer: Jérémy Bobbio <lunar@debian.org>
Uploaders: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake (>= 2.8.9),
               debhelper-compat (= 13),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-libmygpo-qt.git
Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-libmygpo-qt
Homepage: http://wiki.gpodder.org/wiki/Libmygpo-qt

Package: libmygpo-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmygpo-qt5-1 (= ${binary:Version}), ${misc:Depends},
         qtbase5-dev
Description: Development headers for the mygpo-qt library
 C++/Qt Library wrapping the gpodder.net Webservice
 .
 This package contains the development headers for the mygpo-qt library

Package: libmygpo-qt5-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mygpo-qt library package
 C++/Qt Library wrapping the gpodder.net Webservice
 .
 This package contains the myqpo-qt library
