=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_WITH_QT4=OFF
