## libmygpo-qt 1.1.0+qtbuild

=== debian/changelog ===
libmygpo-qt (1.1.0+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 20 Jan 2021 09:49:11 +0800
