=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Jérémy Bobbio <lunar@debian.org>
 Uploaders: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake (>= 2.8.9),
-               debhelper-compat (= 13),
+               debhelper (>= 9),
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-libmygpo-qt.git
 Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-libmygpo-qt
 Homepage: http://wiki.gpodder.org/wiki/Libmygpo-qt
